export default [
  {
    key: "code",
    title: "编码",
    type: "Input",
    search: true,
  },
  {
    key: "name",
    title: "名称",
    type: "Input",
    search: true,
  },
  {
    key: "specification",
    title: "规格",
    type: "Input",
    search: true,
  },
  {
    key: "manufacturerIdName",
    title: "生产厂家",
    type: "Input",
    search: true,
  },
  {
    key: "unitIdName",
    title: "单位",
    type: "Input",
    search: true,
  },
  {
    key: "registrationNo",
    title: "注册证号",
    type: "ComputedInput",
    formatter: (prop) => {
      return prop.materialMedcine.registrationNo;
    },
  },
  {
    key: "isDrug",
    title: "物料药品属性",
    type: "ComputedInput",
    formatter: (prop) => {
      return prop.materialMedcine.isDrug == "0" ? "Y" : "N";
    },
  },
  {
    key: "isDrugNumber",
    title: "药品",
    type: "ComputedInput",
    formatter: (prop) => {
      return prop.materialMedcine.isDrug;
    },
  },
  {
    key: "oriRegistrationNo",
    title: "注册证号/备案凭证编号",
    type: "ComputedInput",
    formatter: (prop) => {
      return prop.materialMedcine.oriRegistrationNo;
    },
  },
  {
    key: "dosageFrom",
    title: "剂型",
    type: "ComputedInput",
    formatter: (prop) => {
      return prop.materialMedcine.dosageFrom;
    },
  },
  {
    key: "dosageFromName",
    title: "剂型名称",
    type: "ComputedInput",
    formatter: (prop) => {
      return prop.materialMedcine.dosageFromName;
    },
  },
  {
    key: "curingType",
    title: "养护类型",
    type: "ComputedInput",
    formatter: (prop) => {
      return prop.materialMedcine.curingType;
    },
  },
  {
    key: "medicalInstruments",
    title: "医疗器械",
    type: "ComputedInput",
    formatter: (prop) => {
      return prop.materialMedcine.medicalInstruments;
    },
  },
];
